#
#	File:		InlineInputSample.make
#
#	Contains:	make file for InlineInputSample variants
#
#	Copyright:	 1989, 1993 Apple Computer, Inc. All rights reserved.
#

#	Build Information
#	-----------------
#	InlineInputSample relies on the Universal C interfaces, which support
#	compilation for both 68K and PowerPC. These interfaces should be
#	widely available by the time you get to see this. InlineInputSample
#	has been successfully built with the Universal interfaces of 11/9/93.
#	It also needs the universal TSMTE.h interface file which you find in
#	the TSMTE Interfaces folder; please move it into your PPCCIncludes
#	folder.
#
#	This makefile assumes that you have set the Shell variable
#	PPCCIncludes to the name of the folder containing the Universal interfaces.
#
#	This makefile lets you build three applications:
#		- InlineInputSample, which supports inline input using TSMTE
#		- SimpleSample, which doesn't
#		- AppleEventsSample, which adds Apple events to SimpleSample as an
#			intermediate step towards supporting inline input
#
#	You can execute
#		Make -f InlineInputSample.make All
#	to get the build commands for all three versions.
		

Obj = :Objects:

GenericObjs68K = 
			{Obj}InlineInputSample.a.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o


.68KCode  .c.o
	Link -o {targDir}{default}.68KCode {depDir}{default}.c.o {GenericObjs68K}

{Obj}SimpleSample.68KCode {Obj}AppleEventsSample.68KCode {Obj}InlineInputSample.68KCode  {Obj}InlineInputSample.a.o

{Obj}  {Obj}


All 	InlineInputSample 
		AppleEventsSample 
		SimpleSample


SimpleSample  {Obj}SimpleSample.68KCode InlineInputSample.r InlineInputSample.h
	Duplicate -r -y {Obj}SimpleSample.68KCode {Targ}
	Rez -d qAppleEvents=0 -d qInline=0 -d qPowerPC=0 -rd -append -o {Targ} InlineInputSample.r
	SetFile {Targ} -t APPL -c 'issa' -a Bi


AppleEventsSample  {Obj}AppleEventsSample.68KCode InlineInputSample.r InlineInputSample.h
	Duplicate -r -y {Obj}AppleEventsSample.68KCode {Targ}
	Rez -d qAppleEvents=1 -d qInline=0 -d qPowerPC=0 -rd -append -o {Targ} InlineInputSample.r
	SetFile {Targ} -t APPL -c 'issa' -a Bi


InlineInputSample  {Obj}InlineInputSample.68KCode InlineInputSample.r InlineInputSample.h
	Duplicate -r -y {Obj}InlineInputSample.68KCode {Targ}
	Rez -d qAppleEvents=1 -d qInline=1 -d qPowerPC=0 -rd -append -o {Targ} InlineInputSample.r
	SetFile {Targ} -t APPL -c 'issa' -a Bi


{Obj}SimpleSample.c.o  InlineInputSample.c InlineInputSample.h
	C -d qAppleEvents=0 -d qInline=0 -r InlineInputSample.c -o {targ} -i {PPCCIncludes}

{Obj}AppleEventsSample.c.o  InlineInputSample.c InlineInputSample.h
	C -d qAppleEvents=1 -d qInline=0 -r InlineInputSample.c -o {targ} -i {PPCCIncludes}

{Obj}InlineInputSample.c.o  InlineInputSample.c InlineInputSample.h
	C -d qAppleEvents=1 -d qInline=1 -r InlineInputSample.c -o {targ} -i {PPCCIncludes}

{Obj}InlineInputSample.a.o  InlineInputSample.a
	Asm InlineInputSample.a -o {Obj}InlineInputSample.a.o